Add config and dependency-injection requires